package com.brilliance.isc.mda.dao;
import org.apache.ibatis.annotations.Param;

import com.brilliance.isc.bo.Dzghxx;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface DzghxxMapper {

    int insert(Dzghxx record);

    int insertSelective(Dzghxx record);

    int updateByPrimaryKeySelective(Dzghxx record);

    int updateByPrimaryKey(Dzghxx record);

    int deleteByPrimaryKey(Dzghxx record);

    int deleteByIds(Collection<Object> collection);

    Dzghxx selectByPrimaryKey(Dzghxx record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Dzghxx> dyncRead(Map<String, Object> dyncMap);

    Dzghxx selectByTrninr(@Param("trninr") String trninr);

}